Bug 973340 - pxe install on system with multiple NICs has a long pause at the beginning
pxe install on system with multiple NICs has a long pause at the beginning
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 14:03 EDT by Jimmy Dorff
Modified: 2015-02-17 10:32 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:32:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
photo of console during the long pause (1.68 MB, image/jpeg)
2013-06-11 14:03 EDT, Jimmy Dorff
no flags Details
intel desktop with 3 nics also pausing during pxe boot (1.60 MB, image/jpeg)
2013-06-11 14:04 EDT, Jimmy Dorff
no flags Details

  None (edit)
Description Jimmy Dorff 2013-06-11 14:03:47 EDT
Created attachment 759753 [details]
photo of console during the long pause

Description of problem:
When doing a pxeboot install there is a delay in the early stages of the install (dracut or udev?). This occurs before the language selection and can cause a person to think the boot/install has hung.

This happens on systems with multiple NICs. I have observed this on a Dell R320 with a quad Intel card installed, and on a desktop PC with a Broadcom dual nic card installed. I suspect the delay is longer with more NICs.

Version-Release number of selected component (if applicable):
Fedora 19-TC2 x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. PXE boot a system with several NICs. For this test I've used the files from "http://serverbeach1.fedoraproject.org/pub/alt/stage/19-TC2/Fedora/x86_64/os/images/pxeboot/", but earlier F19 installs had the problem.
2.
3.

Actual results:
There is a several minute delay

Expected results:
It would boot the same as if I'm using a CD iso

Additional info:
This problem does not occur if booting an iso, such as "Fedora-19-TC2-x86_64-netinst.iso".

Also, our PXE boot envirnoment is working well for other cases and has been stable for years.. so I don't think there is a pxe config problem.

I have been testing with real hardware.. have not attempted to reproduce on a VM yet.
Comment 1 Jimmy Dorff 2013-06-11 14:04:53 EDT
Created attachment 759754 [details]
intel desktop with 3 nics also pausing during pxe boot
Comment 2 Radek Vykydal 2013-06-12 07:38:00 EDT
Yes, this is caused by initramfs waiting for link. If a network connection is required in initramfs, and no device specification (eg ip=em1:dhcp) was given as boot option, initramfs tries to activate all devices, therefore waiting for link of p1p1, p1p2.   

Installer (before loader was replaced with dracut in F17) used to activate only first device (with link) found if not specified in boot options.

Currently, you can specify the device to be activated:

1) using device name, eg:
ip=em1:dhcp

2) by adding "ipappend 2" to PXE configuration which will supply
BOOTIF=XX-XX-XX-XX-XX-XX-XX option (mangled MAC address of device used for booting) to initramfs

3) by using ksdevice=XX:XX:XX:XX:XX:XX (MAC address)

I see two issues here:

- change of default behaviour: activating all devices instead of one if no devcice is specified
- it would be nice to be able to specify MAC address (for matching the device) in ip= option instead of using (deprecated) ksdevice option
Comment 3 Radek Vykydal 2013-06-12 07:40:02 EDT
Harald, am I correct in comment #2 ?
Comment 4 Harald Hoyer 2013-06-12 08:25:32 EDT
Well, due to the nature of random module loading order, there is no "first" link.
The "first" link can vary from boot to boot.


(In reply to Radek Vykydal from comment #3)
> Harald, am I correct in comment #2 ?

yes
Comment 5 Radek Vykydal 2013-06-12 08:55:05 EDT
(In reply to Harald Hoyer from comment #4)
> Well, due to the nature of random module loading order, there is no "first"
> link.
> The "first" link can vary from boot to boot.
> 

Yes, by first I rather meant alphabetical order of device names, but a name could have been assigned to different devices across boots or installation instances, so no consistency guarantees...
Comment 6 Fedora End Of Life 2015-01-09 13:23:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:32:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.